#
# spec file for package tkfont
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tkfont
Version:        1.1
Release:        959.2
Summary:        Tool to select fonts
License:        GPL-2.0-or-later
Group:          System/X11/Utilities
Requires:       tk
Requires:       xlsfonts
Source:         %{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}.dif
Patch1:         tkfont-sort.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
It is a program similar to xfontsel.



Authors:
--------
    Neil Grant <grantj@sfu.ca>

%prep
%autosetup -p0

%build

%install
install -d -m755 %buildroot%_bindir %buildroot/usr/lib/tkfont
install -m 755 tkfont %buildroot%_bindir
install -m 755 FindFont GetFontDirs %buildroot/usr/lib/tkfont

%files
%defattr(-,root,root)
%license COPYING
%doc README
%doc *.txt
/usr/lib/tkfont
%_bindir/*

%changelog
* Mon Feb 26 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Mon Oct 18 2021 Reinhard Max <max@suse.com>
- Explicitly require xlsfonts (boo#1191365).
- Fix command line syntax of sort (boo#1191366, tkfont-sort.patch).
- Use %%license for license files instead of %%doc.
* Tue Oct 14 2014 jengelh@inai.de
- Remove ancient specfile tags and sections
* Wed Jan 17 2007 max@suse.de
- Moved executable from /usr/X11R6/bin to /usr/bin (#227447)
- Cleaned up spec file.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 dmueller@suse.de
- add norootforbuild
* Tue Apr 22 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Jul 12 2002 max@suse.de
- Added a contributed patch to make it more robust [Bug  2129]
* Wed Apr 11 2001 max@suse.de
- Added Group: X11/Utilities
- Added BuildArchitectures: noarch
* Wed Jun  7 2000 ro@suse.de
- doc relocation, specfile cleaned
* Wed Oct 27 1999 max@suse.de
- corrected the call of the tk shell to work with the new
  Tcl/Tk packages
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May  6 1997 hf@suse.de
  Changed the shell from wish to wish4.2
* Tue May  6 1997 hf@suse.de
  A new package tkfont. Version 1.1
  It is a program similar to xfontsel.
